# TokenBalance

### Description

TokenBalance - Returns the balance of a token for a given address.

### Action ID

`0x019d9978`

### SDK Action

```ts
const tokenBalanceAction = new dfs.actions.basic.TokenBalanceAction(
    tokenAddr,
    holderAddr
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param tokenAddr Address of the token
    /// @param holderAddr Address of the holder
    struct Params {
        address tokenAddr;
        address holderAddr;
    }
```

### Return Value

```solidity
return bytes32(inputData.tokenAddr.getBalance(inputData.holderAddr));
```

### Events and Logs

```solidity
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/utils/tokenbalance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
